Loading...
Searching...
No Matches
gprs_cipher_impl Struct Reference

`#include <gprs_cipher.h>`

## Data Fields

struct llist_head | list
enum gprs_ciph_algo | algo
const char * | name
unsigned int | priority
int(* | run )(uint8_t *out, uint16_t len, uint8_t *kc, uint32_t iv, enum gprs_cipher_direction direction)

## Field Documentation

## algo

enum gprs_ciph_algo gprs_cipher_impl::algo

Referenced by gprs_cipher_register().

## list

struct llist_head gprs_cipher_impl::list

Referenced by gprs_cipher_register().

## name

const char* gprs_cipher_impl::name

## priority

unsigned int gprs_cipher_impl::priority

Referenced by gprs_cipher_register().

## run

int(* gprs_cipher_impl::run) (uint8_t *out, uint16_t len, uint8_t *kc, uint32_t iv, enum gprs_cipher_direction direction)

The documentation for this struct was generated from the following file:

- include/osmocom/crypt/gprs_cipher.h